package com.prolog.cs.biz.inbound.dto.print;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 质检明细打印数据类
 * 
 * @author Xiong
 *
 */
public class RqcLinesPrintDTO implements Serializable {

	private static final long serialVersionUID = 1142861084521285792L;

	// 货位
	private String locatorName;

	// 托盘
	private String trayBarcode; // 容器?

	// 商品条码
	private String itemCode;

	// 商品名称
	private String itemName;

	// 商品规格
	private String specification;

	// 生产厂家
	private String manufacturerName;

	// 质检结论
	private String stockStatus;

	// 包装单位
	private String uom;

	// 包装含量
	private String conversionRate;

	// 单品总数量
	private String pieceQty;

	// 件数
	private String caseQty;

	// 零散
	private String oddPieceQty;

	// 批号
	private String manufacturerLotNum;
	// 生产日期
	private String productionDate;
	// 有效期至
	private String expiredDate;

	// 退货原因
	private String rcvRtReason;

	@ApiModelProperty(value = "库别编码", position = 9)
	private String whAreaCategoryCode;

	@ApiModelProperty(value = "上架任务推荐库区编码", position = -2)
	private String whAreaCode;

	@ApiModelProperty(value = "上架任务标签", position = -2)
	private String instockLabel;

	@ApiModelProperty(value = "上架任务推荐货位楼层", position = -2)
	private String locatorFloorNum;

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

	public String getInstockLabel() {
		return instockLabel;
	}

	public void setInstockLabel(String instockLabel) {
		this.instockLabel = instockLabel;
	}

	public String getLocatorFloorNum() {
		return locatorFloorNum;
	}

	public void setLocatorFloorNum(String locatorFloorNum) {
		this.locatorFloorNum = locatorFloorNum;
	}

	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getRcvRtReason() {
		return rcvRtReason;
	}

	public void setRcvRtReason(String rcvRtReason) {
		this.rcvRtReason = rcvRtReason;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(String productionDate) {
		this.productionDate = productionDate;
	}

	public String getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getLocatorName() {
		return locatorName;
	}

	public void setLocatorName(String locatorName) {
		this.locatorName = locatorName;
	}

	public String getTrayBarcode() {
		return trayBarcode;
	}

	public void setTrayBarcode(String trayBarcode) {
		this.trayBarcode = trayBarcode;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(String conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(String pieceQty) {
		this.pieceQty = pieceQty;
	}

	public String getCaseQty() {
		return caseQty;
	}

	public void setCaseQty(String caseQty) {
		this.caseQty = caseQty;
	}

	public String getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(String oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

}
